Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

Get the software versions

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/software-versions' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The software versions

Bodyapplication/jsonArray [
namestring or null
versionstring or null
]
Response
application/json
[ { "name": "string", "version": "string" } ]

Get the instrument versions

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/software-versions/instrument' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instrument versions

Bodyapplication/jsonArray [
namestring or null
versionstring or null
]
Response
application/json
[ { "name": "string", "version": "string" } ]

Check if the instinct API is running

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/software-versions/instinct-api' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The status of the instinct API

Bodyapplication/json
instinctVVersionobject(InstinctVersion)
restApiVersionobject(InstinctVersion)
Response
application/json
{ "instinctVVersion": { "major": 0, "minor": 0, "build": 0, "revision": 0, "majorRevision": 0, "minorRevision": 0 }, "restApiVersion": { "major": 0, "minor": 0, "build": 0, "revision": 0, "majorRevision": 0, "minorRevision": 0 } }

Check if the service software is running

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/software-versions/service-software' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The status of the service software

Bodyapplication/json
applicationVersionstring or null
Response
application/json
{ "applicationVersion": "string" }

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations